INTERFACE
SUBROUTINE VDFHGHTNHL (KIDIA , KFDIA , KLON , KLEV , KDRAFT, PTMST, KSTEP,&
 & PUM1 , PVM1 , PTM1 , PQM1 , PLM1 , PIM1 , PAM1,&
 & PAPHM1 , PAPM1 , PGEOM1 , PGEOH ,&
 & PKMFL , PKHFL , PKQFL , PMFLX ,&
 & PEXTR2 , KFLDX2 , PEXTRA , KLEVX , KFLDX ,&
 & PUUH , PVUH , PSLGUH , PQTUH , PTHTVUH, PFRACB,&
 & PZPTOP , KPTOP , PZPLCL , KPLCL , KPLZB ,&
 & PWUAVG , PRICUI , PMCU ,&
 & PFPLVL , PFPLVN ,&
 & PBIR , LDNODECP, LDRUNDRY, KPBLTYPE, PWQT, PWQT2,&
 & KGFL_EZDIAG, PEZDIAG ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KDRAFT
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(INOUT) :: KPLCL(KLON,KDRAFT)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KPTOP(KLON,KDRAFT)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KPLZB(KLON,KDRAFT)
REAL(KIND=JPRB) ,INTENT(IN) :: PTMST
REAL(KIND=JPRB) ,INTENT(IN) :: PUM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PIM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHM1(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKMFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PKHFL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PKQFL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFLX(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUUH(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVUH(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSLGUH(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQTUH(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTHTVUH(KLON,0:KLEV,KDRAFT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRACB(KLON,KDRAFT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZPLCL(KLON,KDRAFT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZPTOP(KLON,KDRAFT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWUAVG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLVL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLVN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PBIR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRICUI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMCU(KLON)
LOGICAL ,INTENT(IN) :: LDNODECP(KLON)
LOGICAL ,INTENT(IN) :: LDRUNDRY(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KPBLTYPE(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWQT(KLON,0:KLEV),PWQT2(KLON,0:KLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDX2, KLEVX, KFLDX
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEXTR2(KLON,KFLDX2), PEXTRA(KLON,KLEVX,KFLDX)
INTEGER(KIND=JPIM),INTENT(IN) :: KGFL_EZDIAG
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEZDIAG(KLON,KLEV,KGFL_EZDIAG)
END SUBROUTINE VDFHGHTNHL
END INTERFACE
